ChartDirector Ver 4.1 (PHP Edition Edition)

BaseChart.layoutLegend

Usage

layoutLegend()

Description

Lays out and gets the LegendBox object representing the legend box in the chart.
Once the legend box has been laid out, the width and height is known and can be obtained using Box.getWidth and Box.getHeight. However, you may not perform actions that may affect the legend box sizes, such as changing the fonts or adding more data. You may still move the legend box around by using Box.setPos.
The most common use of this method is to position the legend box based on its actual size.

Arguments

None

Return Value

The LegendBox object representing the legend box in the chart.

© 2006 Advanced Software Engineering Limited. All rights reserved.